# Generated by Django 4.2.5 on 2023-11-02 15:08

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='File_datas',
            fields=[
                (
                    'id',
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                ('file_name', models.CharField(max_length=250)),
                ('success', models.BooleanField(default=True)),
                ('created_at', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='Organization',
            fields=[
                (
                    'id',
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                ('name', models.CharField(max_length=250)),
                (
                    'url',
                    models.CharField(
                        help_text='Url where to send the presentation', max_length=250
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name='Rol',
            fields=[
                (
                    'id',
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                ('name', models.CharField(max_length=250)),
            ],
        ),
        migrations.CreateModel(
            name='Schemas',
            fields=[
                (
                    'id',
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                ('file_schema', models.CharField(max_length=250)),
                ('data', models.TextField()),
                ('created_at', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='Service',
            fields=[
                (
                    'id',
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                ('domain', models.CharField(max_length=250)),
                ('description', models.CharField(max_length=250)),
                ('rol', models.ManyToManyField(to='idhub.rol')),
            ],
        ),
        migrations.CreateModel(
            name='VCTemplate',
            fields=[
                (
                    'id',
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                ('wkit_template_id', models.CharField(max_length=250)),
                ('data', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='VerificableCredential',
            fields=[
                (
                    'id',
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                ('id_string', models.CharField(max_length=250)),
                ('verified', models.BooleanField()),
                ('created_on', models.DateTimeField(auto_now=True)),
                ('issuer_on', models.DateTimeField(null=True)),
                ('did_issuer', models.CharField(max_length=250)),
                ('did_subject', models.CharField(max_length=250)),
                ('data', models.TextField()),
                (
                    'status',
                    models.PositiveSmallIntegerField(
                        choices=[
                            (1, 'Enabled'),
                            (2, 'Issued'),
                            (3, 'Revoked'),
                            (4, 'Expired'),
                        ],
                        default=1,
                    ),
                ),
                (
                    'user',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='vcredentials',
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name='UserRol',
            fields=[
                (
                    'id',
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                (
                    'service',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='users',
                        to='idhub.service',
                    ),
                ),
                (
                    'user',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='roles',
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name='Membership',
            fields=[
                (
                    'id',
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                (
                    'type',
                    models.PositiveSmallIntegerField(
                        choices=[(1, 'Beneficiary'), (2, 'Employee'), (3, 'Partner')],
                        verbose_name='Type of membership',
                    ),
                ),
                (
                    'start_date',
                    models.DateField(
                        blank=True,
                        help_text='What date did the membership start?',
                        null=True,
                        verbose_name='Start date',
                    ),
                ),
                (
                    'end_date',
                    models.DateField(
                        blank=True,
                        help_text='What date did the membership end?',
                        null=True,
                        verbose_name='End date',
                    ),
                ),
                (
                    'user',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='memberships',
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name='DID',
            fields=[
                (
                    'id',
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                ('created_at', models.DateTimeField(auto_now=True)),
                ('did', models.CharField(max_length=250, unique=True)),
                ('label', models.CharField(max_length=50)),
                (
                    'user',
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='dids',
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        ),
    ]
